package com.bonus.material.ma.mapper;


import com.bonus.material.ma.domain.MachIneDto;
import com.bonus.material.ma.domain.PutInStorageBean;
import com.bonus.material.ma.domain.SupplierInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
* @description 入库盘点
* @author hay
* @date   2024/3/27 13:33
*/
@Mapper
public interface WarehousingMapper {

    /**
     * 查询入库盘点列表
     * @param bean
     * @return 结果
     */
    List<PutInStorageBean> getList(PutInStorageBean bean);


    List<SupplierInfo> selectMaSupplierInfoList(SupplierInfo maSupplierInfo);


    int selectByMaCode(String maCode);

    /**
     * 插入ma_type_put_in_storage_info表
     * @param machIneDto
     * @return
     */
    int saveInfo(MachIneDto machIneDto);

    /**
     * 新增ma_machine表
     * @param machIneDto
     * @return
     */
    int insertMachine(MachIneDto machIneDto);

    /**
     * 新增ma_type_put_in_storage_details表
     * @param machIneDto
     * @return
     */
    Integer saveDetails(MachIneDto machIneDto);

    /**
     * 查询
     * @param nowDate
     * @return
     */
    int selectTaskNumByMonth(@Param("date") Date nowDate);

    List<PutInStorageBean> getDetails(PutInStorageBean bean);
}
